Get contact verification status for a domain
GET
https://api.vercel.com/v1/registrar/domains/{domain}/contact-verificationGet the registrant contact verification status for a domain. Use this after purchasing a domain to determine whether the contact has been verified. Note that a bought_too_recently error will be returned if the domain was bought less than 30 minutes before the request.
https://api.vercel.com/v1/registrar/domains/{domain}/contact-verification
const response = await fetch('https://api.vercel.com/v1/registrar/domains/domain/contact-verification?teamId=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "verified": "true"}Errors
{ "status": "400", "code": "bought_too_recently", "message": "string"}AuthorizationbearerToken
Default authentication mechanism
400There was something wrong with the request
404The domain was not found in our system.
429TooManyRequests